Subject: Re: proposal for new wireless configuration API

From: "John W. Linville" <[email-masked]>
Date: Fri, 18 Aug 2006 11:00:17 -0400

On Fri, Aug 18, 2006 at 09:12:05AM +0200, Johannes Berg wrote:
> On Fri, 2006-08-18 at 01:29 +0200, Ulrich Kunitz wrote:
> > Or are here people, who
> > really want to freely transmit on all frequencies their RF might
> > be able to generate?
> 
> Yes :P
> Some amateur radio people asked me about extending the spectrum a bit to
> the top (apparently they're allowed to use the band just above the ISM
> band as well).
> 
> However, I don't think we need to cater them in the API. I think they
> ought to be able to live with kernel patches since we don't really know
> how far up the frequency on say the bcm43xx can go anyway before the
> card breaks/malfunctions.

I concur.  It would be best to confine the "normal" API to things
that are legitimately done without a license if at all possible.
Those who are licensed for other spectrum uses should be more than
capable of applying a patch to do so (thereby more clearly taking
regulatory responsibility upon themselves).

John
-- 
John W. Linville
[email-masked]